v5.5 Puts calibre-portable.exe in as a book on every launch

Bug #1904310 reported by Clay Zahrobsky
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
calibre
Undecided
Unassigned

Bug Description

I upgraded my portable version to 5.5.
When I run it, it creates an "unknown" folder in the library and in the "unknown" create a calibre-portable (xxxx)" folder and in that folder it puts "calibre-portable-unknown.exe"

If I remove the book and verify the folder is gone, on restart of Calibre, it recreates it.

Running Windows 10 20H2.

Revision history for this message
Clay Zahrobsky (clay-zahrobsky) wrote :
Revision history for this message
Kovid Goyal (kovid) wrote : Re: calibre bug 1904310

That's a permission denied error. Either the actual file/folder
permissions on your calibre library are incorrect. Or this
is more of Apple's new save the users from the evil programs and
incidentally get them to use only Apple software, initiative. I can tell
you that calibre works fine in Big Sur, generally.

 status invalid

Changed in calibre:
status: New → Invalid
Revision history for this message
Clay Zahrobsky (clay-zahrobsky) wrote : Re: [Bug 1904310] Re: calibre bug 1904310

I am not using Apple. The OS is Windows 10 20H2.

On Sat, Nov 14, 2020 at 22:15 Kovid Goyal <email address hidden>
wrote:

> That's a permission denied error. Either the actual file/folder
> permissions on your calibre library are incorrect. Or this
> is more of Apple's new save the users from the evil programs and
> incidentally get them to use only Apple software, initiative. I can tell
> you that calibre works fine in Big Sur, generally.
>
> status invalid
>
> ** Changed in: calibre
> Status: New => Invalid
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1904310
>
> Title:
> v5.5 Puts calibre-portable.exe in as a book on every launch
>
> Status in calibre:
> Invalid
>
> Bug description:
> I upgraded my portable version to 5.5.
> When I run it, it creates an "unknown" folder in the library and in the
> "unknown" create a calibre-portable (xxxx)" folder and in that folder it
> puts "calibre-portable-unknown.exe"
>
> If I remove the book and verify the folder is gone, on restart of
> Calibre, it recreates it.
>
> Running Windows 10 20H2.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1904310/+subscriptions
>
--
Sent from Gmail Mobile

Revision history for this message
Kovid Goyal (kovid) wrote :

Sorry accidentally posted on the wrong bug.

Changed in calibre:
status: Invalid → New
Revision history for this message
Kovid Goyal (kovid) wrote : Re: calibre bug 1904310

I cannot replicate this, how exactly are you running calibre portable?

Changed in calibre:
status: New → Incomplete
Revision history for this message
Clay Zahrobsky (clay-zahrobsky) wrote : Re: [Bug 1904310] Re: calibre bug 1904310

I have calibre-portable located on an USB hard drive at the root level:

E:\Calibre

11/15/2020  10:41 AM    <DIR>          .
11/15/2020  10:41 AM    <DIR>          ..
11/14/2020  07:18 PM    <DIR>          Calibre
11/14/2020  07:52 PM    <DIR>          Calibre Library
09/14/2020  07:28 AM    <DIR>          Calibre Settings
11/12/2020  01:18 PM           168,960 calibre-portable.exe
11/12/2020  01:18 PM           197,632 ebook-edit-portable.exe
11/12/2020  01:18 PM           190,976 ebook-viewer-portable.exe
09/14/2020  07:28 AM    <DIR>          _covers_
09/14/2020  07:28 AM    <DIR>          _downloads_

I navigate to the folder and double-click the calibre-portable.exe

Nothing fancy.

I can try again to update from a new download but in all the years,
something like has never happened and it is odd that it actually creates
a book entry of the file?????

On 11/15/2020 10:21 AM, Kovid Goyal wrote:
> I cannot replicate this, how exactly are you running calibre portable?
>
> ** Changed in: calibre
> Status: New => Incomplete
>

Revision history for this message
Kovid Goyal (kovid) wrote : Re: calibre bug 1904310

basically what is happening is in 5.5 calibre-portable.exe passes any
command line arguments it gets on to calibre.exe. For some reason, on
your system calibre-portable.exe is getting some argument when launched,
which is passed to calibre.exe which in turn assumes it is a book and
adds it to the library.

Revision history for this message
Clay Zahrobsky (clay-zahrobsky) wrote : Re: [Bug 1904310] Re: calibre bug 1904310

I redownloaded the portable v5.5.

I installed it to a new directory on the desktop.

I run that instance and it starts with just the Quick Start Guide in the
library.

I delete that folder.

Rerun the installer to a new folder.

Copy those files over to my current calibre folder.

Overwrite files when asked.

Double click calibre-portable.exe and boom when it opens it creates the
calibre-portable.exe book.

is there a log file, a setting or something to look at to see what is
happening?

On 11/15/2020 11:00 AM, Kovid Goyal wrote:
> basically what is happening is in 5.5 calibre-portable.exe passes any
> command line arguments it gets on to calibre.exe. For some reason, on
> your system calibre-portable.exe is getting some argument when launched,
> which is passed to calibre.exe which in turn assumes it is a book and
> adds it to the library.
>

Revision history for this message
Kovid Goyal (kovid) wrote :

I suggest you do a clean install, and copy over just the library folder, see if it still happens. If not then copy over the settings folder and see if it still happens. Although I cant really think of any setting that could cause what you describe.

Revision history for this message
Clay Zahrobsky (clay-zahrobsky) wrote : Re: [Bug 1904310] Re: v5.5 Puts calibre-portable.exe in as a book on every launch

I installed fresh, copied over just my library folder and the same thing
occurred.

[image: image.png]

On Sun, Nov 15, 2020 at 11:50 AM Kovid Goyal <email address hidden>
wrote:

> I suggest you do a clean install, and copy over just the library folder,
> see if it still happens. If not then copy over the settings folder and
> see if it still happens. Although I cant really think of any setting
> that could cause what you describe.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1904310
>
> Title:
> v5.5 Puts calibre-portable.exe in as a book on every launch
>
> Status in calibre:
> Incomplete
>
> Bug description:
> I upgraded my portable version to 5.5.
> When I run it, it creates an "unknown" folder in the library and in the
> "unknown" create a calibre-portable (xxxx)" folder and in that folder it
> puts "calibre-portable-unknown.exe"
>
> If I remove the book and verify the folder is gone, on restart of
> Calibre, it recreates it.
>
> Running Windows 10 20H2.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1904310/+subscriptions
>

Revision history for this message
LrdSlvrhnd (lrdslvrhnd) wrote :

This happens to me as well, since the most recent update. Installed on an external HD, started up using the same shortcut I've been using for years. Windows 10.

Revision history for this message
Kovid Goyal (kovid) wrote : Re: calibre bug 1904310

Try instaling to a sub-folder rather than a root folder of the USB
stick.

Revision history for this message
Kovid Goyal (kovid) wrote : Fixed in master

Fixed in branch master. The fix will be in the next release. calibre is usually released every alternate Friday.

 status fixreleased

Changed in calibre:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers